.subckt  TP65H150BG4JSG 301 302 303 304
* GROUP A: 301=D1, 302=G1, 303=S1, 304=KS1
*
* NODE 000 - 099: RESERVED FOR CAP EMULATION
* NODE 100 - 199: HEMT_A AND NMOS_A
* NODE 300 - 399: PIN AND CONNECTION
*
* Part A: 101=drain A, 152=gate A, 199=source A  
* HEMT_A: 101=drainHA, 102=gateHA, 103=sourceHA
* NMOS_A: 162=drainMA, 152=gateMA, 153=sourceMA
*
*   VER 1.0, FEB 28, 2022, By Chih-Shen Yeh @ Transphorm
*************************************************************************
*The model is an approximation of the device.
*The model may not show the true device performance under all conditions.
*The model only guarantees the accuracy of the key parameters (Ron, Ciss, 
*Coss, Crss, Eoss, Qoss, and Qrr) in the current data sheet.
*
*Please refer to the current datasheet for the most up to date specifications
*of the device.
*
*Transphorm Inc. does not assume any liability arising from this use.
*Transphorm Inc. reserves the right to change models without prior notice.
*************************************************************************

************************
************************
***   Part A Begin   ***
************************
* 101=drain A, 152=gate A, 199=source A
 
**************************
**  Connection A Begin  **

Li1A 103 151 1n
Ri11A 103 151 10
Ri1A 151 162 0.24m
Li2A 102 198 5n 
Ri21A 102 198 2
Ri2A 198 153 1.2m   
 
**  Connection A End  **
************************
 
 
******************* 
**  HEMT_A Begin **
* xxxx
* 101=drainHA, 102=gateHA, 103=sourceHA
 
 
** HEMT_A Body  **
 
J1A 104 102 103 MJ1A 1.2
.model MJ1A NJF vto -22 beta 0.235 lambda 0.005 rs 0.01
+ cgs 30PF cgd 3PF is=1f m=0.3
 
J2A 105 102 104 MJ2A 1.2
.model MJ2A NJF vto -75 beta 0.235 lambda 0.005 
+ cgs 20PF cgd 30PF is=1f m=0.35
 
J3A 101 102 105 MJ3A 1.2
.model MJ3A NJF vto -210 beta 0.235 lambda 0.005 rd 0.01
+ cgs 10PF cgd 290PF is=1f m=0.4
 
 
**  HEMT_A Leakage Compensation  **
 
DL1A 106 101 MDLA 1.2
DL2A 106 103 MDLA 1.2
.model MDLA D is=0.05uA cjo=0 
 
 
**  HEMT_A Cap Compensation  **
 
CJA 101 103 0.1pF
 
 
**  HEMT_A End  **
******************
 
 
********************
**  NMOS_A Begin  **
* xxxx
* 151=drainMA, 152=gateMA, 153=sourceMA

MA 159 157 158 158 MMA L=100u W=100u
.MODEL MMA NMOS LEVEL=1 IS=1e-32
+VTO=3.9 LAMBDA=0 KP=15
+CGSO=7.5e-06 CGDO=1e-11


DM1A 153 162 MDMA
.MODEL MDMA D IS=2.44e-12 RS=0.0035 N=1.07 BV=33
+IBV=0.00025 EG=1 XTI=1 TT=3.0e-09
+CJO=6.5e-10 VJ=1.47 M=0.52 FC=0.5

RMA  153 162 1e+07
RMDA 159 162 0.0001
RMGA 152 157 2.2e-3
RMSA 158 153 0.0011


RMLA 155 160 1
FM2A 157 159 VM2A -1
VM2A 154 0 0
EMA  160 0 159 157 1
CMA  161 160 4.0e-10
FM1A 157 159 VM1A -1
VM1A 161 156 0
RMCA 156 160 1

DM2A 154 155 MDM1A
.MODEL MDM1A D IS=1e-32 N=50
+CJO=0.75e-10 VJ=4.0 M=0.3 FC=1e-08

DM3A 0 155 MDM2A
.MODEL MDM2A D IS=1e-10 N=0.41 RS=3e-06

DM4A 0 156 MDM3A
.MODEL MDM3A D IS=1e-10 N=0.41
 
**  NMOS_A End  **
******************
 

**  PartA Cap Compensation  **

CGDA 152 101 1.3pF 
 
*********************
***   PartA End   ***
*********************
*********************
 
 
 
********************************
********************************
***   Pin Connection Begin   ***
********************************

 
********************
**  301=D1 Begin  **
* from 101=drainA to 301=D1
*  
R311 311 301 10 
L311 311 301 1n
R312 311 101 0.24m 
* 
**  301=D1 End  **
******************
 
********************
**  302=G1 Begin  **
* from 152=GateA to 302=G1
* 
R321 302 321 2.5
L321 302 321 4n 
R322 321 152 1m
* 
**  302=G1 End  **
******************
 
********************
**  303=S1 Begin  **
* from 153=sourceA to 303=S1
* 
R331 303 331 20
L331 303 331 0.01n 
R332 331 153 0.1m
* 
**  303=S1 End  **
******************

********************
**  304=KS1 Begin  **
* from 303=S1 to 304=KS1
* 
R341 304 341 15
L341 304 341 0.66n 
R342 341 303 0.16m
* 
**  304=KS1 End  **
******************

 
******************************
***   Pin Connection End   ***
******************************
******************************
 
 
.ends  TP65H150BG4JSG